//************************************************
// File:   UCase.js (WSH-Beispiel in JScript) 
// Autor:  Gnter Born
//
// Konvertiert Datei- und Ordnernamen in Grossbuchstaben.
// Untersttzt Drag & Drop.
//************************************************

// Hier wird die Konvertierrichtung gesetzt.
var xCase = true;  // Grossbuchstaben
//var xCase = false; // Kleinbuchstaben


// Versuche, Argumente zu lesen
var objArgs = WScript.Arguments;    // erzeuge Objekt
if (objArgs.length < 1)             // keine Argumente
 {
   WScript.Echo (" Sorry, keine Argumente gefunden! \n",
        "Bitte Datei oder Ordner angeben oder auf Skript ziehen.");
   WScript.Quit();  // Beenden
 }

var j = 0;

// In Grossbuchstaben konvertieren, Objekte zhlen
for (var i = 0; i < objArgs.length; i++)
 {
   if (MakeCase (objArgs(i), xCase))
     j = j + 1;
 }

WScript.Echo (j, " Objekt(e) konvertiert");
WScript.Quit(0);            // Beenden

function MakeCase (file, caseFlag)
{

 var fso = WScript.CreateObject ("Scripting.FileSystemObject");
 if (fso.FileExists(file))
  {
   var oFile = fso.GetFile(file);
  }
 else
  {
    if (fso.FolderExists(file))
     {
       var oFile = fso.GetFolder(file);
     }
    else
     {
      return false;   // kein Dateisystemobjekt
     }
  }

 var name = fso.GetFilename(file);
 var path = fso.GetParentFolderName(file);

 if (caseFlag)
  {
   oFile.Move (path + "\\" + name.toUpperCase());
  } 
 else
  {
   oFile.Move (path + "\\" + name.toLowerCase());
  }
 return true;
}
// Ende